# Generated from vsvipergen-0.1.11.gem by gem2rpm -*- rpm-spec -*-
%global gem_name vsvipergen

Name: rubygem-%{gem_name}
Version: 0.1.11
Release: 1%{?dist}
Summary: cli tool to generating objective-c, swift or java code for viper structure
License: MIT
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem
BuildRequires: ruby(release)
BuildRequires: rubygems-devel
BuildRequires: ruby
# BuildRequires: rubygem(xcodeproj) >= 1.7.0
# BuildRequires: rubygem(xcodeproj) < 1.8
# BuildRequires: rubygem(colorize) >= 0.8.1
# BuildRequires: rubygem(colorize) < 0.9
# BuildRequires: rubygem(pry) >= 0.13.1
# BuildRequires: rubygem(pry) < 0.14
BuildArch: noarch

%description
generating VS<$prefix$>Protocol.h, VS<$prefix$>ViewController.h,
VS<$prefix$>ViewController.m, VS<$prefix$>Presenter.h,
VS<$prefix$>Presenter.m, VS<$prefix$>Interactor.h, VS<$prefix$>Interactor.m,
VS<$prefix$>Router.h, VS<$prefix$>Router.m.


%package doc
Summary: Documentation for %{name}
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}.

%prep
%setup -q -n %{gem_name}-%{version}

%build
# Create the gem as gem install only works on a gem file
gem build ../%{gem_name}-%{version}.gemspec

# %%gem_install compiles any C extensions and installs the gem into ./%%gem_dir
# by default, so that we can move it into the buildroot in %%install
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/


mkdir -p %{buildroot}%{_bindir}
cp -a .%{_bindir}/* \
        %{buildroot}%{_bindir}/

find %{buildroot}%{gem_instdir}/exe -type f | xargs chmod a+x

%check
pushd .%{gem_instdir}
# Run the test suite.
popd

%files
%dir %{gem_instdir}
%{_bindir}/vsvipergen
%exclude %{gem_instdir}/.gitignore
%exclude %{gem_instdir}/.travis.yml
%{gem_instdir}/CODE_OF_CONDUCT.md
%license %{gem_instdir}/LICENSE.txt
%{gem_instdir}/bin
%{gem_instdir}/exe
%{gem_libdir}
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}
%{gem_instdir}/Gemfile
%{gem_instdir}/Gemfile.lock
%{gem_instdir}/Rakefile
%{gem_instdir}/vsvipergen.gemspec

%changelog
* Wed Aug 25 2021 mockbuilder - 0.1.11-1
- Initial package
